Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(72)

Issue 1995003002: bring pdfium file in sync with chrome, fix mac build (Closed)

Created:
4 years, 5 months ago by caryclark
Modified:
4 years, 3 months ago
Reviewers:
dsinclair, reed1
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Project:
pdfium
Visibility:
Public.

Description

Bring pdfium file in sync with chrome, fix mac build This permits PDFium to build on the Mac with Skia as the backend. It builds on Linux and Windows as well. R=dsinclair@chromium.org,bungeman@google.com Committed: https://pdfium.googlesource.com/pdfium/+/8b301624917aae9f7b7b26e6d275c9ae9cd80cfe

Patch Set 1 #

Patch Set 2 : wip; experiment to support skia on mac #

Patch Set 3 : remove font host mac from skia port #

Patch Set 4 : update skia DEPS #

Unified diffs Side-by-side diffs Delta from patch set Stats (+5 lines, -11 lines) Patch
M BUILD.gn View 1 2 chunks +1 line, -1 line 0 comments Download
M DEPS View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M core/fxge/ge/fx_ge_font.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M core/fxge/ge/fx_ge_text.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M skia/BUILD.gn View 1 2 1 chunk +1 line, -5 lines 0 comments Download
M skia/skia_gn_files.gypi View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M skia/skia_library.gypi View 1 2 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 22 (11 generated)
caryclark
don't review this quite yet; this fixes mac, but breaks windows and linux further
4 years, 5 months ago (2016-05-19 14:55:34 UTC) #1
caryclark
This now builds on Mac, Linux, and Windows. Please review.
4 years, 3 months ago (2016-07-20 14:45:31 UTC) #5
dsinclair
looks like the mac_skia build failed
4 years, 3 months ago (2016-07-20 14:50:14 UTC) #6
caryclark
On 2016/07/20 14:50:14, dsinclair wrote: > looks like the mac_skia build failed Is this a ...
4 years, 3 months ago (2016-07-20 15:00:11 UTC) #9
caryclark
On 2016/07/20 15:00:11, caryclark wrote: > On 2016/07/20 14:50:14, dsinclair wrote: > > looks like ...
4 years, 3 months ago (2016-07-20 15:05:04 UTC) #10
caryclark
One codereview.chromium.org/2163833004 lands and the Skia DEPS is updated, then this should work
4 years, 3 months ago (2016-07-20 15:17:42 UTC) #11
caryclark
should work now
4 years, 3 months ago (2016-07-20 20:48:16 UTC) #12
caryclark
mac_skia build succeeded
4 years, 3 months ago (2016-07-21 13:07:21 UTC) #17
dsinclair
lgtm
4 years, 3 months ago (2016-07-21 13:12:08 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/1995003002/60001
4 years, 3 months ago (2016-07-21 13:12:18 UTC) #20
commit-bot: I haz the power
4 years, 3 months ago (2016-07-21 13:12:39 UTC) #22
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://pdfium.googlesource.com/pdfium/+/8b301624917aae9f7b7b26e6d275c9ae9cd8...

Powered by Google App Engine
This is Rietveld 408576698